mobile_image_mounter_client_t
mobile_image_mounter_error_t
mobile_image_mounter_free
mobile_image_mounter_hangup
mobile_image_mounter_lookup_image
mobile_image_mounter_mount_image
mobile_image_mounter_mount_image_with_options
mobile_image_mounter_new
mobile_image_mounter_query_developer_mode_status
mobile_image_mounter_query_nonce
mobile_image_mounter_query_personalization_identifiers
mobile_image_mounter_query_personalization_manifest
mobile_image_mounter_roll_cryptex_nonce
mobile_image_mounter_roll_personalization_nonce
MOBILE_IMAGE_MOUNTER_SERVICE_NAME
mobile_image_mounter_start_service
mobile_image_mounter_unmount_image
mobile_image_mounter_upload_cb_t
mobile_image_mounter_upload_image

## mobile_image_mounter_start_service()

LIBIMOBILEDEVICE_API mobile_image_mounter_error_t mobile_image_mounter_start_service | ( | idevice_t | device,
|  | mobile_image_mounter_client_t * | client,
|  | const char * | label )

Starts a new mobile_image_mounter service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated mobile_image_mounter_t upon successful return. Must be freed using mobile_image_mounter_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  MOBILE_IMAGE_MOUNTER_E_SUCCESS on success, or an MOBILE_IMAGE_MOUNTER_E_* error code otherwise.